package com.pj.tb_import_goods;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.ibatis.annotations.Mapper;

import com.pj.utils.so.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * Mapper: tb_import_goods -- 进口申报单商品信息
 * @author lbl 
 */

@Mapper
@Repository
public interface TbImportGoodsMapper extends BaseMapper <TbImportGoods> {



	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<TbImportGoods> getList(SoMap so);


   default TbImportGoods findBySeqPlatNo(String platSeqNo){
	   LambdaQueryWrapper<TbImportGoods>ew=new LambdaQueryWrapper<TbImportGoods>();
	   ew.eq(TbImportGoods::getPlatSeqNo,platSeqNo);
	    return selectOne(ew);
   }
}
